#include <bits/stdc++.h>
#define ll long long
#define ull unsigned long long
#define pb push_back
#define fi first
#define se second
#define ld long double
#define N_5 100010
#define N_6 1000010
#define N_7 10000010
#define N_8 100000010
#define N_9 1000000010
#define ost 1000000007
#define ldb long double
#define ull unsigned long long
using namespace std;

void solve() {
    int n ;
    cin >> n ;
    vector<pair<double,int>>v(n);
    for (int i = 0 ; i < n ; i++ ) {
        cin >> v[i].se >> v[i].fi;
    }

    sort(v.begin(),v.end());
    reverse(v.begin(),v.end());
    double res = 0 ;
    ull suma = 0 ;
    for (int i = 0 ; i < n ; i++ ) {
        suma += v[i].se ;
        //cout << suma << ' ' <<  v[i].fi << endl << endl ;
        double temp = suma * v[i].fi / ((double)(100.0)) ;
        res = max(res,temp);
    }

    cout << fixed << setprecision(3) << res ;


} 
 
 
int main () {
    
    #ifndef ONLINE_JUDGE
        freopen("input.txt","r",stdin);
        freopen("output.txt","w",stdout);
    #endif
    
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t =1;
    //cin >>t ;
    while(t--) 
        solve();
}